/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.common.utils;

import java.util.Locale;

public final class CommonUtils {
    public static final Locale SWEDISH_LOCALE = new Locale("sv_SE");

    private CommonUtils() {
    }

    public static <E extends Enum<E>> E getEnum(Class<E> enumClass, String enumName) {
        if (isNull(enumClass)) {
            throw new IllegalArgumentException("enumClass must not be null.");
        }
        try {
            return Enum.valueOf(enumClass, enumName);
        } catch (NullPointerException  e) {
            return null;
        }
    }

    public static boolean isNull(Object o) {
        return o == null;
    }
}
